#include <stdio.h>
#include <stdlib.h>

int main()
{
    int ukupniPojeni,minimalniPojeni,rezultat,pomocnaPromenljiva;
    scanf("%i",&ukupniPojeni);
    scanf("%i",&minimalniPojeni);
    rezultat=ukupniPojeni;
    pomocnaPromenljiva=(ukupniPojeni-(10*minimalniPojeni)+4)/2;
    if(minimalniPojeni>=ukupniPojeni){
        printf("-1");
        return 0;}
    else if (minimalniPojeni*5==ukupniPojeni){
        printf("%i 0\n",minimalniPojeni);
        printf("%i 0\n",minimalniPojeni);
        printf("0 %i\n",minimalniPojeni);
        printf("0 %i\n",minimalniPojeni);
        printf("%i 0\n",minimalniPojeni);
    }
    else if (((minimalniPojeni*5)+((minimalniPojeni-2)*5))==ukupniPojeni){
        printf("%i %i\n",minimalniPojeni,minimalniPojeni-2);
        printf("%i %i\n",minimalniPojeni,minimalniPojeni-2);
        printf("%i %i\n",minimalniPojeni-2,minimalniPojeni);
        printf("%i %i\n",minimalniPojeni-2,minimalniPojeni);
        printf("%i %i\n",minimalniPojeni,minimalniPojeni-2);
    }
    else if((ukupniPojeni%2==1)&&(minimalniPojeni%2==1)){
            printf("%i %i\n",minimalniPojeni,0);
            printf("%i %i\n",minimalniPojeni,0);
            printf("%i %i\n",0,minimalniPojeni);
            pomocnaPromenljiva=ukupniPojeni-(4*minimalniPojeni);
            printf("%i %i\n",1,minimalniPojeni);
            printf("%i %i\n",(pomocnaPromenljiva/2)+1,(pomocnaPromenljiva/2)-1);
        }
    else if (((minimalniPojeni*5)+((minimalniPojeni-2)*5))<ukupniPojeni){
        printf("%i %i\n",minimalniPojeni,0);
        printf("%i %i\n",minimalniPojeni,0);
        printf("%i %i\n",0,minimalniPojeni);
        pomocnaPromenljiva=ukupniPojeni-(4*minimalniPojeni);
        if (pomocnaPromenljiva%2==0){
            printf("%i %i\n",0,minimalniPojeni);
            printf("%i %i\n",pomocnaPromenljiva/2+1,(pomocnaPromenljiva/2)-1);
        }
        else{
            printf("%i %i\n",1,minimalniPojeni);
            printf("%i %i\n",(pomocnaPromenljiva/2)+1,(pomocnaPromenljiva/2)-1);
        }



    return 0;
    }
}